#ifndef _NAP_VFUNCS_H
#define _NAP_VFUNCS_H

/* Copyright (c) 2000  Kevin Sullivan <nite@gis.net>
 *
 * Please refer to the COPYRIGHT file for more information.
 */


struct vars_s 
{
  const unsigned char *nm;
  unsigned char *(*func)();
};
typedef struct vars_s vars_t;


#define V_FUNC(x) unsigned char *(x)(unsigned char **tok, int cnt)

V_FUNC(vcurchan);
V_FUNC(vtopic);
V_FUNC(vversion);
V_FUNC(vkey);
V_FUNC(vmode);
V_FUNC(vargs);
V_FUNC(visop);
V_FUNC(vnick);
V_FUNC(vattr);
V_FUNC(vsearch);
V_FUNC(vconn);
V_FUNC(vchr);
V_FUNC(vstrstr);

#endif
